unit Image;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, PImage, ComCtrls, StdCtrls, Spin;

type
  TF_Image = class(TForm)
    PImage1: TPImage;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    StatusBar1: TStatusBar;
    SZoom: TSpinEdit;
    Label1: TLabel;
    ComboBox1: TComboBox;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    Label2: TLabel;
    ComboBox2: TComboBox;
    Label3: TLabel;
    SBevel: TSpinEdit;
    Label4: TLabel;
    SBorder: TSpinEdit;
    Label5: TLabel;
    procedure PImage1Zoom(Sender: TObject; Zoom: Boolean);
    procedure FormCreate(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure SZoomChange(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure SBevelChange(Sender: TObject);
    procedure SBorderChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  F_Image: TF_Image;

implementation

{$R *.DFM}



procedure TF_Image.PImage1Zoom(Sender: TObject; Zoom: Boolean);
begin
  StatusBar1.Panels[0].Text:='Full version enabled DataSource and DataField property';
end;






procedure TF_Image.FormCreate(Sender: TObject);
begin
  ComboBox1.ItemIndex:=0;
  ComboBox2.ItemIndex:=2;
end;

procedure TF_Image.RadioButton1Click(Sender: TObject);
begin
  PImage1.ZoomPos:=zpLeftTop;
end;

procedure TF_Image.RadioButton3Click(Sender: TObject);
begin
  PImage1.ZoomPos:=zpLeftBottom;
end;

procedure TF_Image.RadioButton4Click(Sender: TObject);
begin
  PImage1.ZoomPos:=zpRightBottom;
end;

procedure TF_Image.RadioButton2Click(Sender: TObject);
begin
  PImage1.ZoomPos:=zpRightTop;
end;

procedure TF_Image.SZoomChange(Sender: TObject);
begin
  PImage1.ZoomValue:=SZoom.Value;
end;

procedure TF_Image.ComboBox1Change(Sender: TObject);
begin
  Case ComboBox1.ItemIndex of 
    0: PImage1.BevelInner:=bvLowered;
    1: PImage1.BevelInner:=bvNone;
    2: PImage1.BevelInner:=bvRaised;
  end;
end;

procedure TF_Image.ComboBox2Change(Sender: TObject);
begin
  Case ComboBox2.ItemIndex of 
    0: PImage1.BevelOuter:=bvLowered;
    1: PImage1.BevelOuter:=bvNone;
    2: PImage1.BevelOuter:=bvRaised;
  end;
end;

procedure TF_Image.SBevelChange(Sender: TObject);
begin
  PImage1.BevelWidth:=SBevel.Value;
end;

procedure TF_Image.SBorderChange(Sender: TObject);
begin
  PImage1.BorderWidth:=SBorder.Value;
end;

end.
